%define		module	pycairo
Summary:	Python Cairo bindings
Summary(pl.UTF-8):	Dowiązania Pythona dla Cairo
Name:		python-%{module}
Version:	1.10.0
Release:	5
License:	LGPL v2.1 or MPL v1.1
Group:		Libraries
Source0:	http://cairographics.org/releases/py2cairo-%{version}.tar.bz2
# Source0-md5:	20337132c4ab06c1146ad384d55372c5
URL:		http://cairographics.org/
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9.6
BuildRequires:	cairo-devel >= 1.10.0
BuildRequires:	libtool >= 2:1.4
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.6
BuildRequires:	python-devel
# for tests only
#BuildRequires:	python-numpy
# not release yet
#BuildRequires:	python-xpyb >= 1.3
BuildRequires:	rpm-pythonprov
%pyrequires_eq	python-libs
Requires:	cairo >= 1.10.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Python Cairo bindings.

%description -l pl.UTF-8
Dowiązania Pythona dla Cairo.

%package devel
Summary:	Development files for pycairo
Summary(pl.UTF-8):	Pliki programistyczne pycairo
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	cairo-devel >= 1.10.0

%description devel
Development files for pycairo.

%description devel -l pl.UTF-8
Pliki programistyczne pycairo.

%package examples
Summary:	Example programs using Python Cairo bindings
Summary(pl.UTF-8):	Przykładowe programy w Pythonie używające Cairo
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}

%description examples
Example programs using Python Cairo bindings.

%description examples -l pl.UTF-8
Przykładowe programy w Pythonie używające Cairo.

%prep
%setup -q -n py2cairo-%{version}

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_examplesdir}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a examples $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__rm} $RPM_BUILD_ROOT%{py_sitedir}/cairo/*.{la,py}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc AUTHORS COPYING NEWS README
%dir %{py_sitedir}/cairo
%attr(755,root,root) %{py_sitedir}/cairo/_cairo.so
%{py_sitedir}/cairo/__init__.py[co]

%files devel
%defattr(644,root,root,755)
%{_includedir}/pycairo
%{_pkgconfigdir}/pycairo.pc

%files examples
%defattr(644,root,root,755)
%{_examplesdir}/%{name}-%{version}
%changelog
* Wed Dec 28 2016 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/python-pycairo.git;a=log;h=master

* Wed Dec 28 2016 Arkadiusz Miśkiewicz <arekm@maven.pl> 4fc6a75
- python 3.6
- release 5 (by relup.sh)

* Sat Nov 28 2015 Jacek Konieczny <jajcus@jajcus.net> a89f0ab
- release 4 (by relup.sh)

* Mon Sep 14 2015 Arkadiusz Miśkiewicz <arekm@maven.pl> d7a9587
- release 3 (by relup.sh)

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 9285097
- x32 rebuild
- release 2 (by relup.sh)

* Mon May 02 2011 Jakub Bogusz <qboosh@pld-linux.org> 35d21a3
- updated to 1.10.0

* Fri Dec 10 2010 lisu <lisu@pld-linux.org> 4a451d0
- define name for module
- use rm macro

* Tue Oct 19 2010 lisu <lisu@pld-linux.org> ba9c21a
- release 3

* Thu Jul 08 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> c5b55d9
- release 2

* Sat Jul 03 2010 Jakub Bogusz <qboosh@pld-linux.org> f974654
- updated to (py2cairo) 1.8.10

* Thu Nov 26 2009 sparky <sparky@pld-linux.org> 42756d9
- BR: pkgconfig, python-devel

* Sat Oct 24 2009 Szymon Siwek <sls@pld-linux.org> aebea67
- BR: python >= 2.6

* Sat Oct 17 2009 wrobell <wrobell@pld-linux.org> 301c9e6
- changelog is no longer provided

* Sat Oct 17 2009 wrobell <wrobell@pld-linux.org> f3de73a
- ver. 1.8.8

* Wed Jul 15 2009 Artur Frysiak <artur@frysiak.net> d46c58d
- updated to 1.8.6

* Mon Mar 30 2009 duddits <duddits@pld-linux.org> 46c27e9
- up to 1.8.4

* Tue Feb 03 2009 Jakub Bogusz <qboosh@pld-linux.org> a70190d
- updated to 1.8.2

* Thu Dec 25 2008 Jakub Bogusz <qboosh@pld-linux.org> d17e3d1
- updated to 1.8.0

* Fri Oct 03 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> d589792
- release 2

* Tue Aug 19 2008 Jakub Bogusz <qboosh@pld-linux.org> 6a5b549
- updated to 1.6.4

* Sat Dec 15 2007 Jakub Bogusz <qboosh@pld-linux.org> 6800959
- updated to 1.4.12

